; Ŀ
;  Procedure name: Splash(Logo)                                            
;                                                                          
;  Purpose: This is the system splash screen. If logo is True, the system  
;  logo is displayed.  If Logo is False, only the background is created.   
;                                                                          
;    This script is part of a sample application described in the          
;    October 1993 issue of Paradox Information.  This script was written   
;    by Cary Jensen of Data Works of Houston.                              
;                                                                          
;    This script is for demonstration purposes only.  No representation    
;    is made concerning the appropriateness of this script for any other   
;    purpose.  If you use this script you agree to hold its author and     
;    Data Works of Houston free from any claim arising out of the use or   
;    misuse of this script.                                                
; ͵
;                              Cary Jensen                                 
;                          Data Works of Houston                           
;                             CIS 76307,1533                               
;                             (713) 359-3311                               
; ͵
; 
PROC Splash(Logo)
CANVAS OFF
PAINTCANVAS FILL("") ATTRIBUTE 31 0,0,23,79
IF Logo
  THEN
    ;Paint the shadow.
    PAINTCANVAS ATTRIBUTE 7  6,12,16,72
    ;Paint the Foreground box.
    PAINTCANVAS FILL(" Paradox  Borland ") ATTRIBUTE 23 5,10,15,70
    STYLE ATTRIBUTE 79
    ;Paint the description.
    @ 9, 11 ?? FORMAT("W59,AC","        Demonstration Application        ")
    STYLE 
ENDIF
CANVAS ON
ENDPROC ; -- Splash(Logo)
WRITELIB "Paradox" Splash
RELEASE PROCS Splash
