; Ŀ
;  Procedure:  ErrorBox(TheString)                                         
;  Purpose  :  Display an error message.                                   
;                                                                          
;    This script is part of a sample application described in the          
;    October 1993 issue of Paradox Information.  This script was written   
;    by Cary Jensen of Data Works of Houston.                              
;                                                                          
;    This script is for demonstration purposes only.  No representation    
;    is made concerning the appropriateness of this script for any other   
;    purpose.  If you use this script you agree to hold its author and     
;    Data Works of Houston free from any claim arising out of the use or   
;    misuse of this script.                                                
; ͵
;                              Cary Jensen                                 
;                          Data Works of Houston                           
;                             CIS 76307,1533                               
;                             (713) 359-3311                               
; ͵
; 
PROC Errorbox(TheString)
PRIVATE DialogWidth
DialogWidth = MAX(LEN(TheMessage)+4,15)
 
SHOWDIALOG Title
  @ 10,40 - INT(DialogWidth/2)+1
  HEIGHT 6
  WIDTH DialogWidth
  @ 1,0 ?? FORMAT("W"+STRVAL(DialogWidth),TheMessage)
  PUSHBUTTON
    @ 3,INT(DialogWidth/2)-5
    WIDTH 8
    "~O~K" OK DEFAULT Value True TAG "OKButton" TO Retval
ENDDIALOG

RETURN

ENDPROC  ; --- ErrorBox
WRITELIB "Paradox" ErrorBox
RELEASE PROCS ErrorBox
